<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<!-- trasforma il seguente XML in una tabella HTML
<card level='level_code' dt_start='DD/MM/YYYY' dt_stop='DD/MM/YYYY'>
  <ana id='id_ana'>cognome nome</ana>
  <fas id='id_fas' state='fl_stato' dt_start='ddd DD/MM/YYYY' dt_stop='ddd DD/MM/YYYY'>
    <unt id='id_unt'>ds_unt</unt>
    <des>ds_fas</des>
  </fas>
  ...
  <erz id='id_erz' state='fl_stato' dt_start='ddd DD/MM/YYYY-HH:MM' dt_stop='ddd DD/MM/YYYY-HH:MM'>
    <ctr id='id_ctr'>ds_ctr</ctr>
    <unt id='id_unt'>ds_unt</unt>
    <ris id='id_ris'>ds_ris</ris>
    <att id='id_att'>ds_att</att>
  </erz>
  ...
</card>
-->

  <xsl:template match="/">
    <table width='100%' border='0'>
    <tr><td class='title'>
      <xsl:choose>
        <xsl:when test="card/@level='1'">Dossier Integrale</xsl:when>
        <xsl:when test="card/@level='2'">Cartella Globale</xsl:when>
        <xsl:when test="card/@level='3'">Cartella Locale</xsl:when>
        <xsl:otherwise>???</xsl:otherwise>
      </xsl:choose>
    </td><td  align='right'>
      <table class='shadow' border='0' cellpadding='4'>
      <tr>
        <td><a class="shadow" href="#" onclick="lfE(0)" title="registra una nuova erogazione al soggetto">Nuova erogazione</a></td>
        <td><a class="shadow" href="#" onclick="lfF(0)" title="apri un nuovo fascicolo intestato al soggetto">Nuovo fascicolo</a></td>
      </tr>
      </table>
    </td></tr>
    </table>
    <table width="100%" border="2" cellspacing="2" cellpadding="10">
      <tr><td><xsl:apply-templates select="/card"/></td></tr>
      <tr><td><xsl:apply-templates select="/card/fas"/></td></tr>
      <tr><td><xsl:apply-templates select="/card/erz"/></td></tr>
    </table>
  </xsl:template>

  <xsl:template match="card">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td>
        <a class='context' title='dati anagrafici' href='#'>
        <xsl:attribute name="onclick">lfA(<xsl:value-of select="ana/@id"/>)</xsl:attribute>
          <xsl:value-of select="ana"/>
        </a>
        </td>
        <td align="right" class="subcontext"><xsl:value-of select="@dt_start"/> ... <xsl:value-of select="@dt_stop"/></td>
      </tr>
      <tr>
        <td colspan='2' align='right'>
          <table class='shadow' border='0' cellpadding='4'>
            <tr>
              <td>
                <a class="shadow" href="#" title="cartella locale (ambulatoriale/di reparto) del paziente">
                <xsl:attribute name="onclick">lfC(3)</xsl:attribute>
                Cartella Locale
                </a>
              </td><td>
                <a class="shadow" href="#" title="cartella clinica di dominio">
                <xsl:attribute name="onclick">lfC(2)</xsl:attribute>
                Cartella Globale
                </a>
              </td><td>
                <a class="shadow" href="#" title="dossier integrale del paziente">
                <xsl:attribute name="onclick">lfC(1)</xsl:attribute>
                Dossier Integrale
                </a>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="fas">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test="@state='A'">del</xsl:when>
        <xsl:otherwise>fas</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <tr>
      <xsl:attribute name="onClick">lfF(<xsl:value-of select="@id"/>)</xsl:attribute>
      <td>
        <table width="100%"><tr>
          <td>
            <a title='mostra il contenuto del fascicolo' href='#'>
            <xsl:attribute name="onclick">lfF(<xsl:value-of select="@id"/>)</xsl:attribute>
              <xsl:value-of select="des"/>
            </a>
          </td>
          <td style="cursor: help" title="data apertura" align="center" bgcolor="lightgreen"><xsl:value-of select="@dt_start"/></td>
          <td style="cursor: help" title="data chiusura" align="center" bgcolor="red"><xsl:value-of select="@dt_stop"/></td>
        </tr></table>
      </td>
    </tr>
    <tr>
      <td>
        <table>
          <tr>
            <td style="cursor: help" title="unita' operativa"><xsl:value-of select="unt"/></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td>
        <table width="50%" align='right'><xsl:apply-templates select="docs/doc"/></table>
      </td>
    </tr>
    </table>
  </xsl:template>

  <xsl:template match="erz">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <xsl:attribute name="class">
      <xsl:choose>
        <xsl:when test="@state='A'">del</xsl:when>
        <xsl:otherwise>erz</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <tr>
      <td>
        <table width="100%">
        <tr>
          <td><span style="cursor: help; color: green" title="data inizio"><xsl:value-of select="@dt_start"/></span></td>
          <td align='center'>
          <a title='mostra dettagli della erogazione' href='#'>
          <xsl:attribute name="onclick">lfE(<xsl:value-of select="@id"/>)</xsl:attribute>
            <xsl:value-of select="att"/>
          </a>
          </td>
          <td align="right"><span style="cursor: help; color: red" title="data fine"><xsl:value-of select="@dt_stop"/></span></td>
        </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td>
        <table width="100%">
          <tr>
            <td style="cursor: help" title="unita' operativa"><xsl:value-of select="unt"/></td>
            <td align='center' style="cursor: help" title="risorsa erogatrice"><xsl:value-of select="ris"/></td>
            <td align='right' style="cursor: help" title="contratto applicato"><xsl:value-of select="ctr"/></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td>
        <table width="50%" align='right'><xsl:apply-templates select="docs/doc"/></table>
      </td>
    </tr>
    </table>
    <hr/>
  </xsl:template>

</xsl:stylesheet>
